Améliorer la mise à jour du dépôt en remplaçant 'git pull' par 'git fetch' et 'git checkout' pour une gestion plus précise des branches.
Some checks failed
SSH Backend Deploy / ssh-deploy (push) Failing after 2s

This commit is contained in:
2025-04-27 00:09:27 +02:00
parent 32094d702b
commit d55180e048

View File

@@ -29,13 +29,14 @@ trap cleanup EXIT
main() {
log "Starting deployment..."
# Git pull force
log "Pulling latest changes from the repository..."
git pull origin main --force
log "Updating repository to match remote main branch..."
git fetch origin
git checkout -f origin/main
if [ $? -ne 0 ]; then
log "Failed to pull latest changes."
log "Failed to update to the latest main branch."
exit 1
fi
log "Repository successfully updated to latest main branch."
# Lancer le docker
log "Building and starting Docker containers..."